Asset Management

Retrieve assets

original is only returned for assets marked as public and requires the account to have the seoBaseUrl setting configured.

get
https://{your-bynder-domain}/api/v4/media/

Query Parameters

brandIdstring(uuid)

Brand id, can be retrieved using the Retrieve brands and subbrands call.

subBrandIdstring(uuid)

Sub-brand id, can be retrieved using the Retrieve brands and subbrands call.

categoryIdstring(uuid)

Category id, can be retrieved using the Retrieve categories call.

collectionIdstring(uuid)

Collection id, can be retrieved using the Retrieve collections call.

idstring(uuid)

Asset id, will return the asset for that id.

idsstring

Comma-separated list of asset ids. Will return an asset for each existing id.

propertyOptionIdstring

Comma-separated list of (metaproperty) option ids, can be retrieved using the Retrieve metaproperties call.

tagsstring

Comma-separated list of tags, can be retrieved using the Retrieve tags call.

typestring

Comma-separated list of asset types.

Allowed values:imagedocumentaudiovideo3d

orientationstring

Comma-separated list of asset orientation.

Allowed values:squareportraitlandscape

property_NAMEstring

Metaproperty option name or comma-separated list ids of metaproperty options for that metaproperty. Beware that NAME should be replaced with the actual metaproperty name. This is an AND operation when passing multiple values. If a Date type metaproperty is added, retrieving assets using the dates for that metaproperty is not supported.

limitedboolean

Indicates whether or not the response should only contain assets marked as “limited usage”.

archiveboolean

Indicates whether or not the response should only contain archived assets.

isPublicboolean

Indicates whether or not the response should only contain assets marked as public.

keywordstring

Search on filenames, tags, extensions, collection names, guidelines, brandstore, campaigns in workflow, enriched PDFs, word documents.

dateCreatedstring(date-time)

Retrieve assets created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateCreatedOnstring(date-time)

Retrieve assets created on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedstring(date-time)

Retrieve assets modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedOnstring(date-time)

Retrieve assets modified on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

orderBystring

Order of the returned list of assets.

Allowed values:dateCreated ascdateModified ascdatePublished ascname ascdateCreated descdateModified descdatePublished descname desc

limitinteger

Maximum number of results.

Default:50

<= 1000

pageinteger

Offset page for results: return the N-th set of limit-results.

Default:1

countboolean

Indicating whether or not the response should include count results.

Default:false

totalboolean

Indicating whether or not the response should include the total count of results.

Default:false

includeMediaItemsboolean

Indicating whether or not the response should include all the different media items (derivatives) available for each asset.

Default:false

includeVersionNumberboolean

Indicating whether or not the response should include the active version number.

Default:false

cursorstring

cursorMark returned in the X-Bynder-NextCursor response header which allows to return the next set of results.

Headers

Authorizationstringrequired

OAuth 2.0 Bearer access token.

Response

application/json

Successful response

archiveboolean
brandIdstring(uuid)
copyrightstring
dateCreatedstring(date-time)
dateModifiedstring(date-time)
datePublishedstring(date-time)
descriptionstring
extensionarray[string]
fileSizeinteger
heightinteger
idstring(uuid)
idHashstring
isPublicboolean
limitedboolean
mediaItemsarray[object]
Show Child Parameters
namestring
orientationstring
originalstring
propertyOptionsarray[string]
property_limitedrightsstring
tagsarray[string]
thumbnailsobject
Show Child Parameters
transformBaseUrlstring
typestring
userCreatedstring
videoPreviewURLsarray[string]
watermarkedboolean
widthinteger
get/api/v4/media/
 
application/json

Media ID

Delete asset

Requires the MEDIAREMOVE security role.

delete
https://{your-bynder-domain}/api/v4/media/{id}

Path Parameters

idstringrequired

Asset id.

Headers

Authorizationstringrequired

OAuth 2.0 Bearer access token.

Response

No Content

delete/api/v4/media/{id}
 

Retrieve specific asset

Requires the STATISTICS security role in order to retrieve views and downloads statistics data in the response, using the stats parameter.

get
https://{your-bynder-domain}/api/v4/media/{id}

Query Parameters

versionsboolean

Include information about the different asset media items including versions.

Default:false

statsboolean

Include information about views and downloads.

Default:false

Path Parameters

idstringrequired

Asset id.

Headers

Authorizationstringrequired

OAuth 2.0 Bearer access token.

Response

application/json

Successful response

activeOriginalFocusPointobject
Show Child Parameters
archiveboolean
brandIdstring(uuid)
copyrightstring
dateCreatedstring(date-time)
dateModifiedstring(date-time)
datePublishedstring(date-time)
descriptionstring
downloadsinteger
extensionarray[string]
fileSizeinteger
heightinteger
idstring(uuid)
idHashstring
isPublicboolean
limitedboolean
namestring
orientationstring
originalstring
propertyOptionsarray[string]
property_assettypearray[string]
relatedAssetsarray[object]
Show Child Parameters
tagsarray[string]
thumbnailsobject
Show Child Parameters
transformBaseUrlstring
typestring
userCreatedstring
videoPreviewURLsarray[string]
viewsinteger
watermarkedboolean
widthinteger
get/api/v4/media/{id}
 
application/json

Modify asset

Requires the MEDIAEDIT security role. Requires the MARKPUBLIC security role in order to change an asset’s isPublic state.

Custom thumbnails

To set a custom thumbnail, first upload the thumbnail image using the Modern Stack File Upload flow, then call this endpoint with the returned file id as customThumbnailFileId. To remove an existing custom thumbnail and revert to the automatically generated one, call this endpoint with removeCustomThumbnail=true. The two fields are mutually exclusive.

post
https://{your-bynder-domain}/api/v4/media/{id}

Path Parameters

idstringrequired

Asset id.

Body

application/x-www-form-urlencoded
archiveboolean

Indicating the archived state of the asset.

archiveDatestring(date-time)

Archive datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

brandIdstring

Id of the brand to save the asset to.

copyrightstring

Copyright information of the asset.

customThumbnailFileIdstring

The file id of the custom thumbnail to be set for the asset. Custom thumbnails must first be uploaded by following the steps described in the Modern Stack File Upload documentation; use the fileId returned by that flow. Cannot be combined with removeCustomThumbnail.

Example:00000000-0000-0000-0000-000000000000

datePublishedstring(date-time)

Publication datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

descriptionstring

Asset description.

idstring

Asset id.

isPublicboolean

Indicating the public state of the asset. Warning irreversible, once changed to true it cannot be changed back.

limitedboolean

Indicating the limit state of the asset.

limitedDatestring(date-time)

Limit datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

metapropertyobject

Mapping of metaproperty UUIDs to the option value(s) to set on the asset. Each value may be provided as option label, option DB name, or option UUID. For multi-select metaproperties, pass multiple values as a comma-separated string.

In x-www-form-urlencoded requests, fields are sent as metaproperty.<metaproperty_uuid>=<value1>,<value2>.

Example:{"02509778-CEE3-43D5-9E96-9A60B1E78314":"option_id1,option_id2","EF122F1F-9BA0-4772-80F1-BF05588B1A59":"option_id3"}

namestring

Name of the asset, beware the asset will have no name when this is empty.

removeCustomThumbnailboolean

Remove the current custom thumbnail from the asset, reverting to the automatically generated thumbnail. Cannot be combined with customThumbnailFileId.

Example:true

tagsstring

Comma-separated tags. Tags will overwrite the current tags list.

watermarkDatestring(date-time)

Watermark datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

Response

application/json

Accepted

messagestring
statuscodeinteger
post/api/v4/media/{id}

Body

{ "customThumbnailFileId": "7d3015f1-fadf-4fca-b49e-e6d08a29f9bb", "description": "Updated title and metadata from Postman form-data example", "id": "8EC04DC8-F7FE-4D2D-BE2F2789A632393D", "metaproperty.C53BC6FD-21A0-4DF1-AE80F0A329D7": "Option 1,Option 2", "metaproperty.C74B9496-16E8-41AA-80D83D8549C8": "B7F3232E-D2A9-40CF-8551-DA2B1FF4E97D,C5215523-AEBD-4A72-92F8-5D8C5E0F2E11", "metaproperty.E1202866-306B-43A5-ADE20BDAB6D1": "This is the alt text", "metaproperty.E8D9B6EF-F969-49B1-BDB95982F05D": "551CB615-965F-4643-A2A7-A4974AA0B128", "name": "Spring campaign hero image", "tags": "spring,hero,campaign-2026" }
 
application/json